public static interface PrinterEndpointBuilderFactory.PrinterBuilders
| Modifier and Type | Method and Description |
|---|---|
default PrinterEndpointBuilderFactory.PrinterEndpointBuilder |
lpr(String path)
Printer (camel-printer)
Send print jobs to printers.
|
default PrinterEndpointBuilderFactory.PrinterEndpointBuilder |
lpr(String componentName,
String path)
Printer (camel-printer)
Send print jobs to printers.
|
default PrinterEndpointBuilderFactory.PrinterEndpointBuilder lpr(String path)
lpr:hostname:port/printername
Path parameter: hostname (required)
Hostname of the printer
Path parameter: port
Port number of the printer
Path parameter: printername
Name of the printerpath - hostname:port/printernamedefault PrinterEndpointBuilderFactory.PrinterEndpointBuilder lpr(String componentName, String path)
lpr:hostname:port/printername
Path parameter: hostname (required)
Hostname of the printer
Path parameter: port
Port number of the printer
Path parameter: printername
Name of the printercomponentName - to use a custom component name for the endpoint
instead of the default namepath - hostname:port/printernameApache Camel